# $Revision: 1.21 $, $Date: 2006/07/19 14:13:06 $
Summary:	Accessing win32-based databases using TCP/IP protocol
Summary(pl):	Dostp do baz danych opartych na win32 za pomoc protokou TCP/IP
Name:		odbtp
Version:	1.1.4
Release:	1
License:	LGPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/odbtp/%{name}-%{version}.tar.gz
# Source0-md5:	88f0ff518e450643c07fc4f5108144a8
Patch0:		%{name}-libtool.patch
URL:		http://odbtp.sourceforge.net/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	rpmbuild(macros) >= 1.238
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
ODBTP is a TCP/IP protocol for connecting to Win32-based databases
from any platform. It is ideal for remotely accessing MS SQL Server,
MS Access, and Visual FoxPro database from Linux or Unix machines.
ODBTP is fast, efficient, and has many features that make it a quality
Open Source solution for database connectivity.

%description -l pl
ODBTP to protok TCP/IP sucy do czenia si z dowolnej platformy
z bazami danych opartych na Win32. Idealnie sprawdza si w zdalnym
dostpie do baz MS SQL Server, MS Access, czy Visual FoxPro. ODBTP
jest szybki, wydajny oraz posiada wiele innych cech podnoszcych
jako.

%package devel
Summary:	Header files for odbtp library
Summary(pl):	Pliki nagwkowe biblioteki odbtp
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for odbtp library.

%description devel -l pl
Pliki nagwkowe biblioteki odbtp.

%package static
Summary:	Static odbtp library
Summary(pl):	Statyczna biblioteka odbtp
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static odbtp library.

%description static -l pl
Statyczna biblioteka odbtp.

%prep
%setup -q
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
install examples/odbtp.conf $RPM_BUILD_ROOT%{_sysconfdir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README README.64bitOS docs
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/odbtp.conf
%attr(755,root,root) %{_libdir}/libodbtp.so.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libodbtp.so
%{_libdir}/libodbtp.la
%{_includedir}/odbtp.h

%files static
%defattr(644,root,root,755)
%{_libdir}/libodbtp.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: odbtp.spec,v $
Revision 1.21  2006/07/19 14:13:06  hawk
- updated to 1.1.4

Revision 1.20  2005/12/18 23:35:15  glen
- rel 5

Revision 1.19  2005/12/18 23:17:14  glen
- cleanup dirs; rel 4

Revision 1.18  2005/10/10 09:51:56  glen
- rename libodbtp-1.1.so to libodbtp.so.0 (avoid provide libodbtp.so)

Revision 1.17  2005/09/22 14:10:20  qboosh
- cleanup; ldconfig complaints were probably caused by some messed link
  and don't happen any longer

Revision 1.16  2005/09/21 18:00:53  glen
- removed odbtp patches, added odbtp.conf

Revision 1.15  2005/09/20 22:26:24  glen
- removed php-odbtp package, there's php-pecl-odbtp available (if there's reason for otherwise, please revert and state what's the difference, or fix php-pecl-odbtp)

Revision 1.14  2005/09/15 21:04:56  glen
- removed libodbtp.so symlink override, added ldconfig todo

Revision 1.13  2005/09/15 18:03:33  glen
- conf.d and php api to php-odbtp package.
- TODO: what about php-pecl-odbtp (hawk?)

Revision 1.12  2005/09/07 14:13:37  glen
- autotools called directly, revert last change

Revision 1.11  2005/09/07 13:30:50  glen
- php{,4}-devel already Requires: auto{make,conf}

Revision 1.10  2005/01/05 22:26:32  qboosh
- don't use macro in Obsoletes for foreign packages

Revision 1.9  2005/01/05 18:36:15  hawk
- oops

Revision 1.8  2005/01/05 15:29:49  wiget
- build REAL shared lib

Revision 1.7  2005/01/05 13:29:14  hawk
- build a real shared library instead of "empty" one

Revision 1.6  2005/01/05 09:12:45  hawk
- removed php_ext_makefile.patch, its no longer needed
- added php_ext_config_m4.patch, php extension is now build a more
  proper way and linked with shared library instead of static one
- obsoletes php-pear-odbtp and php-pecl-odbtp

Revision 1.5  2005/01/04 21:39:14  qboosh
- en fix, config() flag

Revision 1.4  2005/01/04 21:30:44  hawk
- build PHP extension too (with MS SQL support)

Revision 1.3  2004/11/02 22:16:08  adamg
- release 1

Revision 1.2  2004/10/08 10:12:02  qboosh
- cleanups

Revision 1.1  2004/10/05 15:21:21  adamg
- new
